# Uses of Interface
org.apache.sling.api.uri.SlingUri

Packages that use SlingUri
Package
Description
org.apache.sling.api.uri

## Uses of SlingUri in org.apache.sling.api.uri

Methods in org.apache.sling.api.uri that return SlingUri
Modifier and Type
Method
Description
`default @NotNull SlingUri`
SlingUri.`adjust(@NotNull Consumer<SlingUriBuilder> builderConsumer)`
Shortcut to adjust Sling URIs, e.g.
`@NotNull SlingUri`
SlingUriBuilder.`build()`
Builds the immutable SlingUri from this builder.
Methods in org.apache.sling.api.uri with parameters of type SlingUri
Modifier and Type
Method
Description
`static @NotNull SlingUriBuilder`
SlingUriBuilder.`createFrom(@NotNull SlingUri slingUri)`
Creates a builder from another SlingUri (clone and modify use case).
`@NotNull SlingUriBuilder`
SlingUriBuilder.`useSchemeAndAuthority(@NotNull SlingUri slingUri)`
Will take over scheme and authority (user info, host and port) from provided slingUri.